summaryrefslogtreecommitdiffstats
path: root/source/n/iptables/iptables.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/iptables/iptables.SlackBuild')
-rwxr-xr-xsource/n/iptables/iptables.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/source/n/iptables/iptables.SlackBuild b/source/n/iptables/iptables.SlackBuild
index 26f3d922e..5f6c4a080 100755
--- a/source/n/iptables/iptables.SlackBuild
+++ b/source/n/iptables/iptables.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -58,7 +58,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf iptables-$VERSION
tar xvf $CWD/iptables-$VERSION.tar.?z* || exit 1
-cd iptables-$VERSION
+cd iptables-$VERSION || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -74,8 +75,9 @@ CFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/iptables-$VERSION \
--enable-devel \
--enable-libipq \
+ --enable-bpf-compiler \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1